package main

import (
	restful "github.com/emicklei/go-restful"
)

var clusterTokens = newClusterSecretKV[string]("tokens")

func wsClusterTokens(req *restful.Request, resp *restful.Response) {
	clusterName := req.PathParameter("cluster-name")
	clusterTokens.WsList(resp, clusterName+"/")
}

func wsClusterToken(req *restful.Request, resp *restful.Response) {
	clusterName := req.PathParameter("cluster-name")
	name := req.PathParameter("token-name")

	clusterTokens.WsGet(resp, clusterName+"/"+name)
}
